Subject: Trainer Candidate - Romin KH
From: Romin KH <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 10 Jul 2021 09:40:14 -0400

| | Tech Support Test

Name | Romin KH
E-mail | [email-masked]
Phone Number | (91) 7736407840
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Kochi, Kerala

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Judeico BPO solutions pvt ltd | Customer care and collection executive | 09/07/2021 | 27500
Previous Employer 1 | Pelican pvt ltd | Venue coordinator | 30/09/2019 | 15000
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | 30

Please briefly describe your work experience specifically in training?

Im working as a customer care and collections executive in an Australian based firm and been with this firm for the last 2 years
Since it being a start-up, im having vast experience in billing, quality analysis and compliance policy.
Training in compliance and being a SME is my major take

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

We provide gas service to our customer, I had a situation where he claims that our bill was high regadless of the fact that he was underbilled and the billing duration was much more than usual.
Took time and patience to make hum understand the details, and explained the benefits of being with us.
The case was an escalation and i made sure that it was not even referred to my manager.
I learned the benefits of being diplomatic even though the customer was a pain in my ass.
Dealt with him and for that we saved $300.00 from EWON

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

Being robotic and scripted thats how i explain a goog CS person but i feel being empathetic and maintaining a bond is the base that everyone should develop, we can only convince them after taking out the rage and finally vast knowledge about outlr company and the service that we provide will help us deal any complicated or frustrating situations

What according to you makes you a good candidate for this position?

After US customers, Aussies are extreme in rascim
Dealt with them for the last couple of years ans still running, as butter as smooth
Can handle any giver situations and instead of being the complaining and escalating one, will be more of a patient and solution orientated person

On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |